<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
		xmlns:gpx="http://www.topografix.com/GPX/1/0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <!-- copy everything recursively ... -->
  <xsl:template match="@*|node()">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>

  <!-- ... except these -->
  <xsl:template match="*[namespace-uri() = 'http://www.groundspeak.com/cache/1/0']"/>


  <!-- merge wpt/desc into wpt/name ... -->
  <xsl:template match="gpx:wpt/gpx:name">
    <xsl:copy>

      <!-- contents of name -->
      <xsl:value-of select="."/>

      <!-- add space after it -->
      <xsl:value-of select="' '"/>

      <!-- contents ot desc; TODO: more processing -->
      <!--
      <xsl:value-of select="../gpx:desc"/>
        -->

      <!-- contents of desc with a marker for perl postproc -->
      <xsl:value-of select="../gpx:desc"/>
      <xsl:value-of select="'HFHFHF'"/>
    </xsl:copy>
  </xsl:template>

  <!-- ... and delete wpt/desc -->
  <xsl:template match="gpx:wpt/gpx:desc"/>

</xsl:stylesheet>
